var oldYear;
var oldKeyWord;
var oldStatus;
var oldHazards;
var laydate;
var upload;
var token = localStorage.getItem("token");
layui.use(['table', 'layer', 'laydate', 'jquery', 'form', 'upload'], function () {
    var table = layui.table;
    laydate = layui.laydate;
    upload = layui.upload;
    let form = layui.form;
    form.render();
    form.verify({});
    //渲染table
    table.render({
        elem: '#demo'
        , url: ctxPath + '/career/getMsgContent' //数据接口
        , method: 'post' //方式默认是get
        , toolbar: 'default' //开启工具栏，此处显示默认图标，可以自定义模板，详见文档
        , where: {
            physicalTime:getNowTime().substring(0,4)
        } //post请求必须加where ，post请求需要的参数
        , cellMinWidth: 80
        , cols: [[ //表头
            {type: 'checkbox', title: '复选框',field: 'allCheck',width: 100} //序号列
            ,{field: 'number', width:120,title: '序号', align: 'center', type: 'numbers'}
            , {field: 'personName',width: 120, align: 'center', title: '姓名'}
            , {field: 'unit', width: 200, align: 'center', title: '单位/部门'}
            , {field: 'sex', width: 100, align: 'center', title: '性别'}
            , {field: 'hazards', width: 200, align: 'center', title: '危害因素'}
            ,{field: 'idNumber', align: 'center',width : 220,title: '身份证号码',templet:function(res){
                    return res.idNumber + "\t";
                }}
            , {field: 'phone', width: 160, align: 'center', title: '手机号码'}
            , {field: 'postName', width: 150, align: 'center', title: '工种'}
            , {field: 'physicalStatus', width: 150, align: 'center', title: '体检状态'}
            , {field: 'status', width: 120, align: 'center', title: '总结报告状态'}
            , {field: 'phyTime', width: 150, align: 'center', title: '预约时间'}
            // , {field: 'physicalFree', width: 150, align: 'center', title: '体检费用'}
            // , {field: 'filePath', width: 150, align: 'center', title: '体检报告'}
            ,{field: 'filePath', align: 'center',width : 200,title: '体检报告',templet:function(res){
                    if (isEmptyAndNull(res.filePath)){
                        return '<span style="color:#48ca66" onclick="showPDF(\''+res.filePath+'\')">体检报告</span>';
                    }else {
                        return '';
                    }
                }}
        ]]
        , id: 'menuTable'
        , page: true //开启分页
        , loading: true //数据加载中。。。
        , limits: [5, 10, 20]  //一页选择显示3,5或10条数据
        , limit: 10  //一页显示5条数据
        , response: {
            statusCode: 200 //规定成功的状态码，默认：0
        }, parseData: function (res) { //将原始数据解析成 table 组件所规定的数据，res为从url中get到的数据
            let result;
            if (res.data !== '' && res.data != null && res.data !== "null") {
                if (this.page.curr) {
                    result = res.data.slice(this.limit * (this.page.curr - 1), this.limit * this.page.curr);
                } else {
                    result = res.data.slice(0, this.limit);
                }
            }
            return {
                "code": res.code, //解析接口状态
                "msg": res.msg, //解析提示文本
                "count": res.count, //解析数据长度
                "data": result, //解析数据列表
            };
        },

        toolbar: "#toolbar"
    });

    getHazard(form,null);
    //头监听事件 -- checkBox 选中行和选中条数
    table.on('toolbar(test)', function (obj) {
        // 获取当前表格被选中的记录对象，返回数据
        var checkStatus = table.checkStatus(obj.config.id);
        //获取事件名，执行对应的代码
        var eventName = obj.event;
        switch (eventName) {
            case "searchBt":
                document.getElementById("searchBt").click();//按钮自动点击一次
                oldYear = $("#physicalTime").val();
                oldHazards = $("#hazards").val();
                oldKeyWord = $("#keyWord").val();
                // var startTimes = oldYear.substr(0, 10);
                // var endTimes = oldYear.substr(12, 20);
                table.reload('menuTable', {
                    url: ctxPath + '/career/getMsgContent'
                    , method: 'post' //方式默认是get
                    , page: true
                    , where: {
                        // startTime: startTimes,
                        physicalTime: oldYear,
                        keyWord: oldKeyWord,
                        hazards: oldHazards
                    } //设定异步数据接口的额外参数
                });
                /**二次赋值-- 点击搜索按钮之后会进行一次刷新操作*/
                initTime();
                getHazard(form,oldHazards);
                $("#physicalTime").val(oldYear);
                $("#hazards").val(oldHazards);
                $("#keyWord").val(oldKeyWord);
                break;
            case "uploadBtn":
                importReport();
                break;
            case "importBtn":
                importExcel();
                break;
            case "importStateBtn":
                 importState();
                break;
            case "exportBtn":
                exportExcel();
                break;
            case "download":
                download();
                break;
        }
    });
    initTime();
});

function initTime(){
    laydate.render({
        elem: '#physicalTime',
        type: 'year',
        value: getNowTime().substr(0,4),
    });
}

function importReport() {
    //执行实例
    layerOpenViewNoBtn("上传报告", "./uploadFileForm.html", "40%", "40%");
}


function importExcel(){
    layerOpenViewNoBtn("上传数据", "./uploadExcel.html", "40%", "40%");
}

function importState(){
    layerOpenViewNoBtn("上传数据", "./upStateExcel.html", "40%", "40%");
}

function exportExcel() {
    oldHazards = $("#hazards").val();
    oldKeyWord = $("#keyWord").val();
    oldYear = $("#physicalTime").val();
    window.location.href = ctxPath + "/export/careerExport?hazards=" + oldHazards + "&status=" + "" + "&keyWord=" + oldKeyWord +"&physicalTime=" + oldYear + "&token=" + token;
}

function showPDF(filePath){
    var height = '98%';
    var width = '98%';
    var index = layer.open({
        title: ["查看体检报告", 'color:#3B70A1;background-color:#E8ECEB;font-size:20px'],
        type: 2,
        content: './FileView.html',//PublicFileView
        area: [width, height],
        maxmin: false,
        success: function (layero, index) {
            var iframeWin = window[layero.find('iframe')[0]['name']];//获得iframe页的窗口对象，执行iframe页的方法：
            iframeWin.setParam(filePath, filePath, "", "");//调用子页面的方法，页面锁定
        },
    });
}

function download(){
    window.location.href = ctxPath + "/download/download?filename=职业健康体检结果.xlsx"
}